#!/bin/sh

TOTRUN=100
TOTINSTANCE=1000
CLAUSELENGTH=5
NOISEP=5 #Noise percentage to generate
GENRULE=5 #nb of rules to generate

THIS=/u/nassif/research/trains
DATA="$THIS"/runs/data
CODE="$THIS"/runs/code
THEORIES="$THIS"/runs/theories
SCRIPTS="$THIS"/scripts
GENTRAIN="$THIS"/genTrain #the file stem name 


for (( RUN=94; RUN <= TOTRUN; RUN++ ))
  do
  # generate theories
  . "$SCRIPTS"/generateTheories.sh

  # generate train files 
  . "$SCRIPTS"/generateTrains.sh

  # format data
  . "$SCRIPTS"/formatData.sh

  # Create and run Aleph files
  . "$SCRIPTS"/performRuns.sh
done


#TODO: AUC
#any order is fine. Not probas, but just ranking
