%DP specific instructions

%%% Aleph Parameters---------------------------------
:- set(clauselength,5).
:- set(evalfn,user). 
:- set(minpos,1).
%:- set(noise,1).
:- set(m,1).
%:- set(minacc,1).
%:- set(minscore,0.1).
:- set(rulefile,hyp).


%%% Mode Declarations ---------------------------------
:- modeb(*,category(+train,#category)).
:-determination(east/1,category/2).


%%% Train and Test Sets---------------------------------
:- set(record,true).
:- set(recordfile,'B10.trace').
:- set(train_pos, '../Basedata/trainsA10.f').
:- set(train_neg, '../Basedata/trainsA10.n').


%%% Background Knowledge---------------------------------
:- consult('../Basedata/trains1A1000base.bk').
:- consult('../Basedata/trains2A1000base.bk').


%%% Cost function
cost(Clause, [P, N, L], Cost) :-
	evalfn(mestimate, [P,N,L], Acc1),
	Cost is -P * Acc1.
