# Usage: perl DP2Base.pl trains2A1000.bk trains2A1000base.bk 2

#takes a DP data file, and adds category to it

use strict;
use warnings;
use Carp;

#Process input and create files
confess "Call should be: perl ", __FILE__, " cohort_file category_file category. Stopped"
    unless @ARGV == 3;
open(INPUT, $ARGV[0]) ||
    confess "couldn't open ", $ARGV[0], ": $!. Stopped"; 
open(OUTPUT, '>', $ARGV[1]) ||
    confess "couldn't open ", $ARGV[1], ": $!. Stopped";
my $c = $ARGV[2]; #the category

#add the category
while (my $line = <INPUT>){
    print OUTPUT $line;
    if ( $line =~ /^train\((.*)\)/ ){
	print OUTPUT "category($1,$c).\n";
    }
}
