#!/bin/sh
########################################
# Format data
########################################

# assume have generated a pair of train data, and .f and .n are 1000
# copies them into the various necessary data formats, including noise
echo Generating data for run $RUN

# take train data files, and convert to the various data formats
#DP files
for i in 1 2
  do
  cp "$GENTRAIN""$i".bk "$DATA"/DP"$RUN"_"$i"_"$TOTINSTANCE".bk
  cp "$GENTRAIN""$i".f  "$DATA"/DP"$RUN"_"$i"_"$TOTINSTANCE".f
  cp "$GENTRAIN""$i".n  "$DATA"/DP"$RUN"_"$i"_"$TOTINSTANCE".n
  perl "$THIS"/scripts/generateNoise.pl "$DATA"/DP"$RUN"_"$i"_"$TOTINSTANCE" "$NOISEP" "$TOTINSTANCE"

  head -n 100 "$DATA"/DP"$RUN"_"$i"_"$TOTINSTANCE".f > "$DATA"/DP"$RUN"_"$i"_100.f
  head -n 100 "$DATA"/DP"$RUN"_"$i"_"$TOTINSTANCE".n > "$DATA"/DP"$RUN"_"$i"_100.n
  perl "$THIS"/scripts/generateNoise.pl "$DATA"/DP"$RUN"_"$i"_100 "$NOISEP" "$TOTINSTANCE"
  
  perl "$CODE"/DP2Base.pl "$DATA"/DP"$RUN"_"$i"_"$TOTINSTANCE".bk "$DATA"/Base"$RUN"_"$i"_"$TOTINSTANCE".bk "$i"
done

#base files
cat "$DATA"/DP"$RUN"_[12]_"$TOTINSTANCE".f > "$DATA"/Base"$RUN"_1_"$TOTINSTANCE".f
cat "$DATA"/DP"$RUN"_[12]_"$TOTINSTANCE".n > "$DATA"/Base"$RUN"_1_"$TOTINSTANCE".n
cat "$DATA"/DP"$RUN"_[12]_"$TOTINSTANCE"_n.f > "$DATA"/Base"$RUN"_1_"$TOTINSTANCE"_n.f
cat "$DATA"/DP"$RUN"_[12]_"$TOTINSTANCE"_n.n > "$DATA"/Base"$RUN"_1_"$TOTINSTANCE"_n.n
cat "$DATA"/DP"$RUN"_[12]_100.f > "$DATA"/Base"$RUN"_1_100.f
cat "$DATA"/DP"$RUN"_[12]_100.n > "$DATA"/Base"$RUN"_1_100.n
cat "$DATA"/DP"$RUN"_[12]_100_n.f > "$DATA"/Base"$RUN"_1_100_n.f
cat "$DATA"/DP"$RUN"_[12]_100_n.n > "$DATA"/Base"$RUN"_1_100_n.n

