#!/u/vitor/Yap/bins/java/yap -L --
#
#. % avoid syntax error.
# usage: ./variant.yap "east(A) :-   has_car(A,C),   double(C)." "east(A) :-   has_car(A,B), double(B)"

:- [library(terms)].
:- [library(lists)].
:- initialization(main).

check_rules( [R1,R2] ) :-
R1 = (H1 :- B1),
R2 = (H2 :- B2), !,
%writeln( R1 ), writeln( R2 ),
cl2list((not(H2),B2), L2, []),
cl2list(B1, L1, []),
permutation(L1, SL1),
variant( [not(H1)|SL1], L2 ).
check_rules( [R1,R2] ) :-
variant( R1, R2 ).


main :-  unix( argv([A1,A2]) ), atom_to_term(A1,R1,_), atom_to_term(A2, R2,_),  check_rules( [R1,R2] ), !, writeln(1).
main :-  writeln(0).

cl2list((H,B)) -->
!,
cl2list(H),
cl2list(B).
cl2list(B) -->
[B].
