%Baseline specific instructions

%%% Aleph Parameters---------------------------------
:- set(evalfn,user). %Clause utility is -value returned by user-defined cost()
:- set(clauselength,5).
:- set(minpos,10).
:- set(m,10).
%:- set(noise,10).
:- set(rulefile,'Base1_100.hyp').


%%% Mode Declarations ---------------------------------
:- modeb(*,category(+train,#category)).
:-determination(east/1,category/2).


%%% Train and Test Sets---------------------------------
:- set(record,true).
:- set(recordfile,'Base1_100.trace').
:- set(train_pos, '../data/Base1_1_100.f').
:- set(train_neg, '../data/Base1_1_100.n').


%%% Background Knowledge---------------------------------
:- consult('../data/Base1_1_1000.bk').
:- consult('../data/Base1_2_1000.bk').


%%% Cost function---------------------------------
cost(Clause, [P, N, L], Cost) :-
	evalfn(mestimate, [P,N,L], Acc1),
	Cost is -P * Acc1.
