%Baseline specific instructions

%%% Aleph Parameters---------------------------------
:- set(evalfn,user). %Clause utility is -value returned by user-defined cost()
:- set(clauselength,5).
:- set(minpos,100).
:- set(m,100).
:- set(noise,100).
:- set(rulefile,'../results/Base100_1000_n.hyp').


%%% Mode Declarations ---------------------------------
:- modeb(*,category(+train,#category)).
:-determination(east/1,category/2).


%%% Train and Test Sets---------------------------------
:- set(record,true).
:- set(recordfile,'../results/Base100_1000_n.trace').
:- set(train_pos, '../data/Base100_1_1000_n.f').
:- set(train_neg, '../data/Base100_1_1000_n.n').


%%% Background Knowledge---------------------------------
:- consult('../data/Base100_1_1000.bk').
:- consult('../data/Base100_2_1000.bk').


%%% Cost function---------------------------------
cost(Clause, [P, N, L], Cost) :-
	evalfn(mestimate, [P,N,L], Acc1),
	Cost is -P * Acc1.
