#!/usr/bin/perl

# Usage: perl amendBackground.pl background.tmpl ../background.pl 1

use strict;
use warnings;
use Carp;

#Process input and create files
open(INPUT, $ARGV[0]) ||
    confess "couldn't open ", $ARGV[0], ": $!. Stopped"; 
open(OUTPUT, '>', $ARGV[1]) ||
    confess "couldn't open ", $ARGV[1], ": $!. Stopped";

#write aleph .b file
while (my $line = <INPUT>){
    $line =~ s/(^\s*\(retract\(tnumber1\(T0\)\);T0=)(\d+)/$1$ARGV[2]/;
    print OUTPUT $line;
}
