#!/bin/sh
########################################
# Create and run Aleph files
########################################

#for each method type
pushd "$CODE"
for method in DP Gen Base
  do
  for nb in 100 $TOTINSTANCE
    do
    for noise in 0 1
      do
      echo Performing run $RUN with $method and $nb with noise = $noise
      perl createB.pl -m "$method" -r "$RUN" -n "$nb" -l "$CLAUSELENGTH" -noise $noise
      if [ $method = Base ]
	  then
	  yap < "$SCRIPTS"/runAleph.txt >& /dev/null 
      else
	  yap < "$SCRIPTS"/runAlephDP.txt >& /dev/null 
      fi
    done
  done
done
popd
